This is the mail archive of the binutils@sourceware.org mailing list for the binutils project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: libctf: make it compile for old glibc


On 7/11/19 8:01 AM, Nick Alcock wrote:
On 11 Jul 2019, Hans-Peter Nilsson stated:

With a glibc before 2.9 (such as 2.8), there's <endian.h> but no
htole64 or le64toh, so you get, compiling binutils for any target:

Wow, such ancient glibcs are still in use? Aren't they a crawling
nightmare of security holes?

I was going to say the same thing :-)

Slightly off topic, but are you able to share what product this is
that has glibc 2.8?

As an upstream glibc maintainer I always like to hear about old
uses of glibc and how they might impact our use cases for testing
and compatibility support.

--
Cheers,
Carlos.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]